=== debian/changelog ===
debconf (1.4.70.osso2) unstable; urgency=low

  * Removed unneded build dependences and dh_installman to fix build

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 27 Feb 2006 19:06:45 +0200

debconf (1.4.70.osso1) unstable; urgency=low

  * Merged osso changes

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 27 Feb 2006 18:35:34 +0200

debconf (1.4.70) unstable; urgency=low

  [ Christian Perrier ]
  * Fix spelling error in French translation

  [ Colin Watson ]
  * Add experimental confmodule support for cdebconf, now that the file
    conflicts between debconf and cdebconf have been removed: set
    DEBCONF_USE_CDEBCONF to have /usr/share/debconf/confmodule try to run
    the cdebconf frontend rather than the debconf frontend. (I expect this
    not to work smoothly yet; for a start, cdebconf won't have a useful
    database!)
  * Only conflict with cdebconf (<< 0.96).

  [ Luk Claes ]
  * Translations:
    - Baskish updated programs.
    - Czech updated programs.
    - Dutch updated debconf.
    - Finnish updated debconf.
    - Galician updated programs.
    - German updated debconf and programs.
    - Greek updated programs.
    - Hebrew updated debconf and programs.
    - Italian updated programs. Closes: #350387
    - Japanese updated programs. Closes: #350251
    - Latvian updated debconf.
    - Lithuanian updated debconf.
    - Norwegian (nb) updated debconf and programs.
    - Polish updated debconf and programs.
    - Punjabi updated debconf.
    - Russian updated programs. Closes: #350159
    - Simplified Chinese updated programs.
    - Slovak updated programs.
    - Slovenian updated debconf.
    - Spanish updated debconf and programs.
    - Swedish updated programs.
    - Tagalog updated programs.
    - Traditional Chinese updated programs.
    - Vietnamese updated debconf and programs. Closes: #350087

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jan 2006 10:16:01 +0000

debconf (1.4.69) unstable; urgency=low

  [ Luk Claes ]
  * Translations:
    - Japanese updated debconf and programs. Closes: #348965
    - Simplified Chinese updated debconf. Closes: #349600

  [ Colin Watson ]
  * Fix shadowing of 'bool' builtin in debconf.py getBoolean() (found by
    pychecker).
  * Add support for templates of type 'error', which are largely treated
    like notes except that they are displayed no matter what the priority
    and even if they've previously been seen. For example, this can be used
    for input validation errors. This is compatible with cdebconf.
  * Fix crash in kde frontend while handling PROGRESS STOP.

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Jan 2006 09:53:46 +0000

debconf (1.4.68) unstable; urgency=low

  [ Luk Claes ]
  * Translations:
    - Italian updated debconf. Closes: #346114
    - Slovak updated debconf and programs. Closes: #346371
    - Turkish updated debconf. Closes: #347714

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Jan 2006 14:37:34 -0500

debconf (1.4.67) unstable; urgency=low

  [ Christian Perrier ]
  * Translations:
    - Greek updated programs. Closes: #344643
    - Tagalog updated debconf. Closes: #344749
    - Catalan updated debconf and programs. Closes: #344966
    - Czech updated debconf and programs. Closes: #345339

  [ Joey Hess ]
  * debconf.conf(5) typo fix. Closes: #344336

  [ Colin Watson ]
  * Add bash completion file (thanks, Alexandra N. Kossovsky).
    Closes: #301998
  * Fix DebconfCommunicator inheritance.

  [ Luk Claes ]
  * Translations:
    - Catalan updated programs and debconf. Closes: #344966

 -- Colin Watson <cjwatson@debian.org>  Tue,  3 Jan 2006 18:42:30 +0000

debconf (1.4.66) unstable; urgency=HIGH

  [ Colin Watson ]
  * DEBCONF_DB_REPLACE causes all databases from the config file to be
    opened read-only, including the templates database, partly because it's
    hard to do otherwise and partly because DEBCONF_DB_REPLACE is used for
    passthrough applications which want to avoid two debconf instances both
    opening the same templates database read-write. Unfortunately this
    breaks if anyone tries to register new templates. As a workaround, stack
    a throwaway pipe database in front of the configured templates database
    if DEBCONF_DB_REPLACE is in use. Closes: #343902

  * Translations:
    - Indonesian updated debconf (Closes: #344512).
    - Greek updated debconf (Closes: #344585).

 -- Colin Watson <cjwatson@debian.org>  Sun, 25 Dec 2005 10:46:36 +0000

debconf (1.4.65) unstable; urgency=HIGH

  * Remove my progress bar check of the last version since it breaks
    passthrough, especially where the actual progress bar was started by the
    destination frontend.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Dec 2005 03:37:19 -0500

debconf (1.4.64) unstable; urgency=HIGH

  [ Colin Watson ]
  * debconf-apt-progress: Make sure to start up a debconf frontend properly
    (including saving/restoring @ARGV) in all modes except --config, not
    just in the all-in-one mode. Closes: #344159

  [ Joey Hess ]
  * Add a check in the ConfModule to make sure that a progress bar is
    available before trying to use it.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Dec 2005 19:16:14 -0500

debconf (1.4.63) unstable; urgency=low

  [ Colin Watson ]
  * debconf-apt-progress: Allow --from and --to to be used with --start to
    change the endpoints of the created progress bar.
  * Add DebconfCommunicator class to debconf.py to allow speaking the
    debconf protocol over a debconf-communicate subprocess. Useful for
    querying the debconf database noninteractively.

  [ Luk Claes ]
  * Translations:
    - Basque updated programs and updated debconf (Closes: #342093).
    - Russian updated programs translation (Closes: #342771).
    - Russian updated debconf translation (Closes: #342773).
    - Galician updated debconf translation (Closes: #343056).
    - Danish updated debconf translation (Closes: #343431).
    - Swedish updated debconf translation (Closes: #344059).

  [ Joey Hess ]

