## debconf 1.4.70.osso3+0m5

=== debian/changelog ===
debconf (1.4.70.osso3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Mon, 19 Oct 2009 14:08:25 +0300

debconf (1.4.70.osso3) unstable; urgency=low

  * Don't preconfigure packages by default (Fixes: NB#143440)

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri, 16 Oct 2009 11:00:32 +0300
