## debconf 1.4.72ubuntu9

=== debian/changelog ===
debconf (1.4.72ubuntu9) dapper; urgency=low

  * Backport from trunk (closes: Malone #42187):
    - Stop the Gnome and Kde frontends from displaying select questions with
      zero or one choices, or multiselect questions with zero choices; this
      was broken due to an error in multiple inheritance (thanks, Gary
      Coady; closes: https://launchpad.net/bugs/42187).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 May 2006 11:03:13 +0100

debconf (1.4.72ubuntu8) dapper; urgency=low

  * Merge r2040.
  [ Joey Hess ]
  * In the gnome and kde frontends, exit 1 not 0 when cancel is hit.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 May 2006 03:16:28 +0200

debconf (1.4.72ubuntu7) dapper; urgency=low

  * Backport from trunk (closes: Malone #43907):
    - Handle escaped commas ("\,") and escaped spaces ("\ ") in Choices and
      Value fields in questions, matching cdebconf. I've grepped the archive
      for backslashes in Choices fields in templates and in db_set and
      db_subst commands and found nothing that this change would break,
      while it lets us use more code from d-i in the installed system.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 May 2006 13:40:43 +0100

debconf (1.4.72ubuntu6) dapper; urgency=low

  * Backport from trunk, to help with live CD memory use:
    - Add a --no-reload option to dpkg-reconfigure, to allow you to prevent
      it from reloading templates before running confmodules. This may be
      useful for performance if you know that the templates database is
      already correct.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 May 2006 19:47:53 +0100

debconf (1.4.72ubuntu5) dapper; urgency=low

  * Backport from trunk (see Malone #42868):
    - Add cloexec keyword argument to Python DebconfCommunicator class,
      defaulting to False; if True, the file descriptors connected to
      debconf-communicate will be marked close-on-exec.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  4 May 2006 09:40:45 +0100

debconf (1.4.72ubuntu4) dapper; urgency=low

  * Backport from trunk (closes: Malone #41921):
    - Retry readline() in the Python confmodule if it's interrupted by a
      signal.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  2 May 2006 14:07:45 +0100

debconf (1.4.72ubuntu3) dapper; urgency=low

  * Backport from trunk (closes: Malone #37934):
    - Strip only trailing newlines from replies in the Python confmodule,
      rather than all leading and trailing whitespace.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Apr 2006 13:35:42 +0100

debconf (1.4.72ubuntu2) dapper; urgency=low

  * Backport from trunk:
    - Notice and error out on write errors (such as ENOSPC) when saving
      databases. Should help with a lot of database corruption bugs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Apr 2006 15:08:10 +0100

debconf (1.4.72ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Mar 2006 13:21:24 +0000

debconf (1.4.72) unstable; urgency=low

  [ Colin Watson ]
  * Expand substitution variables when replying to localised METAGET
    requests for description, extended_description, or choices.
  * Add support for an 'escape' capability. If a confmodule sets this using
    CAPB, then commands it sends to debconf will be processed for backslash
    escapes (\n is a newline, \ followed by any other character is just that
    character) and debconf's replies will be backslash-escaped similarly.
    This allows such things as embedding newlines in substitutions and
    fetching extended descriptions using METAGET; the use of a capability is
    required because otherwise this would break compatibility with old
    confmodules. Closes: #126753
  * debconf.py: Avoid leaking a file descriptor from DebconfCommunicate.
  * Fix truncation of multi-line return values to handle values over two
    lines long correctly.
  * Add a debconf-escape program and make the confmodules unescape text
    automatically in escape mode. At present we don't escape text
    automatically, but you can use 'debconf-escape -e' yourself if you want
    an easy way to do that.
  * Remove *.pyc and *.pyo on clean.

  [ Luk Claes ]
  * Translations:
    - Hungarian new programs. Closes: #353933

  [ Joey Hess ]
  * Add the same insane kind of fork check for Qt having a working display as
    we already had for GTK, since both libraries are written by monkeys who
    think that having a *library* exit(3) is a good idea if there's not a
    usable display. Sheesh. (On the plus side, the same monkeys have taught
    users to not care if it takes a 9 ghz machine to run a simple dialog, so
    who cares if we have to use expensive forking to work around your brain
    damage.) Closes: #354656, #244972, #246133

  [ Christian Perrier and the French team ]
  * Switch to po4a for man pages translations
  * Complete update of the French manpages translations

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Mar 2006 12:58:20 +0000

debconf (1.4.71) unstable; urgency=low

  [ Luk Claes ]
  * Translations:
    - Brazilian portuguese updated programs. Closes: #352415
    - Bulgarian updated debconf. Closes: #351046
    - Catalan updated programs. Closes: #350966
    - Danish updated programs. Closes: #352238
    - Dutch updated programs. Closes: #351538
    - French updated programs. Closes: #351227, #352485
    - Hungarian updated debconf. Closes: #352271
    - Portuguese updated debconf and programs.
    - Turkish updated debconf and programs.
    - Ukrainian updated debconf and programs. Closes: #350680

  [ Christian Perrier ]
  * Translations:
    - Corrected encoding of Turkish

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Feb 2006 15:11:09 -0500

debconf (1.4.70ubuntu2) dapper; urgency=low

  * debconf.py: Avoid leaking a file descriptor from DebconfCommunicate.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  3 Mar 2006 16:39:52 +0000

debconf (1.4.70ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.


