=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.6.2
-Build-Depends-Indep: perl, python, gettext (>= 0.13)
-Build-Depends: debhelper, po-debconf
+Build-Depends-Indep: perl, python, gettext (>= 0.13), libintl-perl, libqt-perl
+Build-Depends: debhelper (>= 4.2.28), po-debconf, po4a (>= 0.23)
 
 Package: debconf
 Priority: important
