## debconf 1.4.72ubuntu10

=== debian/changelog ===
debconf (1.4.72ubuntu10) dapper-proposed; urgency=low

  * Backport from trunk, fixing a race leading to occasional hangs during
    installation (LP: #62986):
    - Make sure that apt status commands and debconf protocol commands under
      debconf-apt-progress are properly interleaved. Closes: #425397

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Aug 2007 10:09:04 +0100
