=== debian/rules ===
--- 
+++ 
@@ -42,18 +42,21 @@
 	dh_installdirs etc/apt/apt.conf.d/ /etc/bash_completion.d/
 	cp debian/apt.conf debian/debconf/etc/apt/apt.conf.d/70debconf
 	cp bash_completion debian/debconf/etc/bash_completion.d/debconf
-# 	dh_installman doc/man/gen/dpkg-*configure.8 \
-# 		doc/man/gen/debconf-show.1 doc/man/gen/debconf-copydb.1 \
-# 		doc/man/gen/debconf.1 doc/man/gen/debconf-communicate.1 \
-# 		doc/man/gen/debconf-set-selections.1 \
-# 		doc/man/gen/debconf-apt-progress.1
+	dh_installman doc/man/gen/dpkg-*configure.8 \
+		doc/man/gen/debconf-show.1 doc/man/gen/debconf-copydb.1 \
+		doc/man/gen/debconf.1 doc/man/gen/debconf-communicate.1 \
+		doc/man/gen/debconf-set-selections.1 \
+		doc/man/gen/debconf-apt-progress.1 \
+		doc/man/gen/debconf-escape.1
 	dh_installman -p debconf-i18n doc/man/gen/dpkg-*.*.8 \
 		doc/man/gen/debconf-show*.*.1 doc/man/gen/debconf-copydb*.*.1 \
 		doc/man/gen/debconf.*.1 doc/man/gen/debconf-communicate.*.1 \
-		doc/man/gen/debconf-set-selections.*.1
+		doc/man/gen/debconf-set-selections.*.1 \
+		doc/man/gen/debconf-apt-progress.*.1 \
+		doc/man/gen/debconf-escape.*.1
 	dh_installman -p debconf-doc doc/man/confmodule*.3 doc/man/debconf*.7 \
 		doc/man/debconf.conf*.5 doc/man/gen/Debconf::Client::ConfModule*
-	dh_installman -p debconf-utils `find doc/man/gen/debconf-* | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-set-selections | grep -v debconf-communicate | grep -v debconf-apt-progress`
+	dh_installman -p debconf-utils `find doc/man/gen/debconf-* | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-set-selections | grep -v debconf-communicate | grep -v debconf-apt-progress | grep -v debconf-escape`
 	dh_installexamples -pdebconf-doc samples/*
 	
 	# Changelog reduction hack for debconf. Only include top 100 entries.
