=== debian/changelog ===
debconf (1.5.2ubuntu2) edgy; urgency=low

  * Use printf rather than echo to send commands to debconf, to avoid
    breaking escaped commands if /bin/sh is dash (closes: #306134).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Jul 2006 13:47:50 +0100

debconf (1.5.2ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Jun 2006 21:36:34 +0100

debconf (1.5.2) unstable; urgency=low

  [ Colin Watson ]
  * Stop the Gnome and Kde frontends from displaying select questions with
    zero or one choices, or multiselect questions with zero choices; this
    was broken due to an error in multiple inheritance (thanks, Gary Coady;
    closes: https://launchpad.net/bugs/42187).

  [ Joey Hess ]
  * debconf-get-selections: Don't skip notes or errors, people may want to
    preseed those.

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jun 2006 16:26:20 -0400

debconf (1.5.1) unstable; urgency=low

  [ Colin Watson ]
  * Remove trailing whitespace from some .P requests in man pages, to make
    po4a happier.
  * Strip only trailing newlines from replies in the Python confmodule,
    rather than all leading and trailing whitespace.
  * Retry readline() in the Python confmodule if it's interrupted by a
    signal.
  * Typo fixes in Debconf::Encoding documentation.
  * Add cloexec keyword argument to Python DebconfCommunicator class,
    defaulting to False; if True, the file descriptors connected to
    debconf-communicate will be marked close-on-exec.
  * Avoid needlessly marking cache db items dirty on addowner if the entry
    already had that owner.
  * Add a --no-reload option to dpkg-reconfigure, to allow you to prevent it
    from reloading templates before running confmodules. This may be useful
    for performance if you know that the templates database is already
    correct.
  * Handle escaped commas ("\,") and escaped spaces ("\ ") in Choices and
    Value fields in questions, matching cdebconf. I've grepped the archive
    for backslashes in Choices fields in templates and in db_set and
    db_subst commands and found nothing that this change would break, while
    it lets us use more code from d-i in the installed system.

  [ Joey Hess ]
  * Stop mailing notes since something like 90% of the use of that data type
    is abuse anyway. Error messages will still be mailed if necessary.
  * In the gnome and kde frontends, exit 1 not 0 when cancel is hit.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 May 2006 19:09:58 -0500

debconf (1.5.0) unstable; urgency=low

  [ Colin Watson ]
  * Define UTF-8 as the encoding for all passthrough communication (it was
    previously undefined, causing installer breakage when using non-UTF-8
    locales). Now the passthrough frontend recodes everything to UTF-8 when
    talking to the UI agent, and we recode DATA parameters from UTF-8 to the
    user's charmap. Closes: #355251
  * Note that if you try to exchange non-ASCII text with debconf at the
    moment using anything but the DATA command, you lose unless you know
    that the other end is using the same character encoding as you.
    Retrofitting encoding sanity is hard.
  * Accept -- as an end-of-options terminator in frontend, even though it
    doesn't currently take any arguments. Simplifies a corner case in
    cdebconf compatibility.
  * Notice and error out on write errors (such as ENOSPC) when saving
    databases. Should help with a lot of database corruption bugs.
    Closes: #198297, #247849 (we hope)

  [ Christian Perrier ]
  * Rename the Punjabi translation file name from pa_IN to pa
    to fit a decision taken in -i18n
  * Man pages translations:
    - French updated
    - Complete translator information in addenda

  [ Luk Claes ]
  * Translations:
    - Arabic updated programs (Closes: #357010).
    - Arabic updated debconf (Closes: #360584).
    - Brazilian Portuguese updated debconf (Closes: #357653).
    - Romanian updated programs (Closes: #361152).
    - Romanian updated debconf (Closes: #361157).
    - Indonesian updated programs (Closes: #361185).
  * Fixed typo in French debconf-devel manpage (Closes: #358525).
  * Small correction in German programs translation (Closes: #358804).

  [ Joey Hess ]
  * Finally applied Danilo Piazzalunga's gnome multiselct usability patch,
    which turns it into a list of checkboxes. Closes: #294116
  * Set maintainer to debconf-devel mailing list, this package is noticably
    Colin^Wteam maintained now. Closes: #265570

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Apr 2006 17:54:06 -0400
