=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Joey Hess <joeyh@debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>
+Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.6.2
 Build-Depends-Indep: perl, python, gettext (>= 0.13), libintl-perl, libqt-perl
 Build-Depends: debhelper (>= 4.2.28), po-debconf, po4a (>= 0.23)
