## debconf 1.5.8~bpo.1

=== debian/changelog ===
debconf (1.5.8~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- martin f. krafft <madduck@debian.org>  Fri,  3 Nov 2006 20:19:16 +0100

debconf (1.5.8) unstable; urgency=low

  * Fix passthrough frontend's handling of noninteractive elements.
    Instead of duplicating the code in their show method, which varies for
    some types (select), just call the show method. Closes: #396147

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Oct 2006 23:57:34 -0500

debconf (1.5.7) unstable; urgency=low

  [ Programs Translations ]
    - Updated Chinese (Simplified)
    - Updated Danish. Closes: #392194
    - Updated Dutch. Closes: #392192
    - Updated Hebrew. Closes: #391155
    - Updated Korean. Closes: #393615
    - Updated Kurdish.
    - Updated Portuguese.
    - Added Thai. Closes: #394633
    - Updated Vietnamese.

  [ Debconf Translations ]
    - Updated Albanian
    - Updated Belarusian
    - Updated Chinese (Traditional)
    - Updated Greek. Closes: #392192
    - Updated Indonesian.
    - Added Thai. Closes: #394631

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Oct 2006 20:32:07 -0400

debconf (1.5.6) unstable; urgency=medium

  [ Joey Hess ]
  * Fix names of Kde and Gnome frontends in the frontend selection question.
    Closes: #389939, #388679, #391650
  * Set IFS to a sane value before calling printf, in case the maintainer
    script does something nasty to it. Closes: #381619
  * Dialog backtitle unbranding. Closes: #376116

  [ Christian Perrier ]
  * Correct a grammar error in the french man page translation

  [ Programs Translations ]
    - Updated French.
    - Updated Khmer. Closes: #375064
    - Updated Galician. Closes: #391173
    - Updated Spanish.
    - Updated Catalan.
    - Updated Slovak.
    - Updated Dzongkha.
    - Updated Norwegian Bokmal.
    - Updated Ukrainian
    - Updated Swedish
    - Updated Basque
    - Updated Dutch
    - Updated Brazilian Portuguese
    - Updated Hungarian
    - Updated Finnish
    - Updated Japanese
    - Updated Czech
    - Updated German
    - Updated Romanian
    - Updated Turkish
    - Updated Polish
    - Updated Italian. Closes: #391559
    - Updated Traditional Chinese
    - Updated Arabic. Closes: #391614
    - Updated Russian

  [ Debconf Translations ]
    - Updated Dzongkha. Closes: #388016
    - Added Nepali. Closes: #374950

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 14:09:45 -0400

debconf (1.5.5) unstable; urgency=low

  [ Debconf Translations ]
    - Updated Wolof

  [ Programs Translations ]
    - Added Kurdish. Closes: #387811
    - Fixed typos in Italian. Closes: #387820

  [ Colin Watson ]
  * debconf-apt-progress: Die if debconf-apt-progress/media-change can't be
    displayed.
  * debconf-apt-progress: Avoid falling through to generic progress updating
    code from media-change handling.
  * When asking for a Choices-C field in a template, fall back to Choices
    (etc.); if i18n is disabled then asking for Choices tries Choices-C
    first. This lets you say "Choices: ${CHOICES-TRANS}" and "Choices-C:
    ${CHOICES}" to substitute reliably into translated and untranslated
    templates without having to ensure that ${CHOICES-TRANS} is translated
    to the same thing in every language.
  * Make sure that languages whose codes are prefixes of other language
    codes don't accidentally match those languages. This is mostly
    significant for C, but could also be a problem once translations for
    languages with three-letter codes start being widely deployed.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Sep 2006 17:26:43 -0400

debconf (1.5.4) unstable; urgency=low

  [ Christian Perrier ]
  * Split out Choices in templates. Sorry, translators.
  * Activate the generation of Russian man pages by po4a, KOI8-R encoded
    Closes: #385549
  * Translations:
    - Updated French
    - Added Welsh (from D-I translations)
    - Added Dzongkha (from D-I translations)

  [ Luk Claes ]
  * Translations:
    - Updated Catalan debconf translation (Closes: #380344).
    - Updated Estonian debconf translation (Closes: #380352).
    - Updated Italian debconf translation.
    - Updated Simplified Chinese debconf translation.
    - Updated Tagalog debconf translation.
    - Updated Norwegian Bokmal debconf translation.
    - Updated Korean debconf translation (Closes: #380378).
    - Updated Arabic debconf translation (Closes: #380381).
    - Updated Danish debconf translation (Closes: #382002).
    - Updated Hungarian debconf translation.
    - Updated Malagasi debconf translation.
    - Updated Russian debconf translation (Closes: #380427).
    - Updated Slovak debconf translation (Closes: #380432).
    - Updated Czech debconf translation (Closes: #380437).
    - Updated Finnish debconf translation (Closes: #380453).
    - Updated Hebrew debconf translation.
    - Updated Brazillian Portuguese debconf translation.
    - Updated Japanese debconf translation (Closes: #380477).
    - Updated Romanian debconf translation (Closes: #380495).
    - Updated Latvian debconf translation.
    - Updated Turkish debconf translation.
    - Updated Galician debconf translation (Closes: #380592).
    - Updated Lithuanian debconf translation.
    - Updated Punjabi debconf translation.
    - Updated Portuguese debconf translation.
    - New Khmer debconf translation (Closes: #375064).
    - New Khmer programs translation (Closes: #375066).
    - Updated Vietnamese debconf translation (Closes: #382328).
    - Updated Basque debconf translation (Closes: #382459).
    - Updated Ukrainian debconf translation (Closes: #382504).
    - New Dzongkha programs translation (Closes: #382623).
    - Updated Spanish debconf translation (Closes: #382713).
    - Updated German debconf translation (Closes: #384370).
    - Updated Swedish debconf translation (Closes: #386509).

  [ Joey Hess ]
  * Add support for media-change in debconf-apt-progress.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Sep 2006 14:44:33 -0400


