=== debian/changelog ===
debconf (1.5.11) unstable; urgency=low

  [ Programs Translations ]
    - Updated Dutch. Closes: #391311
    - Updated Portuguese. Closes: #392703

  [ Joey Hess ]
  * Add need_tty field to frontend objects. dpkg-preconfigure can test
    this if it fails to reopen /dev/tty, and avoid dying if the frontend
    doesn't care about the tty, as happens in g-i when preconfiguring using
    the passthrough frontend. Closes: #401876

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Dec 2006 13:30:50 -0500

debconf (1.5.10) unstable; urgency=low

  [ Christian Perrier ]
  * Better support for locale aliases. Thanks to Nicolas François
    for the patch. Closes: #232044

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Dec 2006 17:26:50 -0500

debconf (1.5.9) unstable; urgency=low

  [ Debconf Translations ]
    - Updated Bosnian. Closes: #396654
    - Updated Greek
    - Updated Nepali.
    - Updated Bulgarian. Closes: #397778

  [ Programs Translations ]
    - Added Bosnian. Closes: #397282

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Nov 2006 18:35:19 -0500
