=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 Build-Depends-Indep: perl, python, gettext (>= 0.13), libintl-perl, libqt-perl
-Build-Depends: debhelper (>= 4.2.28), po-debconf, po4a (>= 0.23)
+Build-Depends: debhelper (>= 5), po-debconf, po4a (>= 0.23)
+XS-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
 
 Package: debconf
 Priority: important
