## debconf 1.5.13ubuntu1

=== debian/changelog ===
debconf (1.5.13ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install Python confmodule for python2.5 as well.
  * Retry flock() on EINTR. Failing that, print the errno if flock() fails
    so that we have a better chance of working out why.
  * Set Maintainer to me for DebianMaintainerField (even though I'm part of
    the maintenance team upstream ...).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Mar 2007 10:16:04 +0000

debconf (1.5.13) unstable; urgency=low

  [ Man pages translations ]
    - French updated

  [ Joey Hess ]
  * Fix kde frontend to "show" noninteractive elements so they can handle
    setting their values appropriately. Closes: #413509 (except possibly for
    the strange and unreproducible bits)
  * Avoid initialising kde until the first question is found that needs to be
    displayed using it. The Qt module could fail in some ugly ways during
    destruction if kde stuff was initialised but never used. (See #413509)

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2007 12:53:58 -0500

debconf (1.5.12) unstable; urgency=low

  [ Debconf Translations ]
    - Updated Esperanto. Closes: #404588
    - Updated Slovenian. Closes: #405581
    - Added Malayalam. Closes: #405910

  [ Joey Hess ]
  * Bubulle requested I include a copy of debconf.pot in the source, rather
    than cleaning it, so here it is. Note that it's not included in svn, to
    avoid churn.

  [ Christian Perrier ]
  * Fix typos in debconf-devel(7) and debconf(7). Closes: #410168, #410169

  [ Joey Hess ]
  * po/Makefile: Smarter detection of no-op changes to po files.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Feb 2007 20:46:20 -0500

debconf (1.5.11ubuntu1) feisty; urgency=low

  * Install Python confmodule for python2.5 as well (LP: #80253).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jan 2007 14:32:59 +0000
